> For the complete documentation index, see [llms.txt](https://developers.oxylabs.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.oxylabs.io/products/proxies/high-bandwidth-proxies.md).

# High-Bandwidth Proxies

Learn how to use Oxylabs High-Bandwidth Proxies for traffic-intensive tasks, such as video and audio scraping.

## Getting started

To start using our [**High Bandwidth Proxies**](https://oxylabs.io/products/high-bandwidth-proxies) for video data and audio scraping, contact our sales team to receive your dedicated endpoint. Each customer gets a unique proxy endpoint configured for their specific needs. To directly integrate this solution with `yt_dlp` library, check the [example](#example-integration-youtube-downloader) below, or check out our [Agent Skills](#agent-skills) for AI workflows.

## Endpoint configuration

After receiving your endpoint from the account management team, you'll get:

* A dedicated proxy endpoint
* Your username and password
* Port number (default: `60000`)

## Example integration: YouTube Downloader

Here's an example using `yt-dlp` with our High Bandwidth Proxies for video or audio data scraping:

### Basic Usage

{% tabs %}
{% tab title="Bash" %}

```bash
yt-dlp --proxy username-$(openssl rand -hex 16):password@endpoint:60000 \
"https://www.youtube.com/watch?v=WNCl-69POro"
```

{% endtab %}

{% tab title="Python" %}

```python
import os
import yt_dlp

username = 'YOUR_USERNAME'
password = 'YOUR_PASSWORD'

proxy = f'http://{username}-{os.urandom(16).hex()}:{password}@your-endpoint:60000'

ydl_opts = {
    'proxy': proxy,
}

with yt_dlp.YoutubeDL(ydl_opts) as ydl:
    ydl.download(['https://www.youtube.com/watch?v=WNCl-69POro'])
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
For optimal performance, make sure each video is downloaded using a separate IP address. Refer to the section below for guidance.
{% endhint %}

### Multiple URLs with different IPs

While using High Bandwidth Proxies, every video is downloaded with a separate IP address to ensure the optimal performance. This is achieved by generating a unique session ID for each request, which effectively assigns a new IP address for each download.

{% tabs %}
{% tab title="Bash" %}

```bash
# First video with one IP
yt-dlp --proxy username-$(openssl rand -hex 16):password@endpoint:60000 \
"https://www.youtube.com/watch?v=6stlCkUDG_s"

# Second video with different IP
yt-dlp --proxy username-$(openssl rand -hex 16):password@endpoint:60000 \
"https://www.youtube.com/watch?v=gsnqXt7d1mU"
```

{% endtab %}

{% tab title="Python" %}

```python
import os
import yt_dlp

def download_with_new_ip(url, username, password):
    session_id = os.urandom(16).hex()
    proxy = f'http://{username}-{session_id}:{password}@your-endpoint:60000'

    ydl_opts = {
        'proxy': proxy
    }
    
    with yt_dlp.YoutubeDL(ydl_opts) as ydl:
        try:
            print(f"Downloading {url} with new IP ({username}-{session_id})...")
            ydl.download([url])
            print(f"Successfully downloaded {url}")
        except Exception as e:
            print(f"Error downloading {url}: {str(e)}")

def main():
    username = 'YOUR_USERNAME'
    password = 'YOUR_PASSWORD'
    
    videos = [
        'https://www.youtube.com/watch?v=6stlCkUDG_s',
        'https://www.youtube.com/watch?v=gsnqXt7d1mU'
    ]
    
    for video in videos:
        download_with_new_ip(video, username, password)

if __name__ == "__main__":
    main()

```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
The function includes basic error handling to ensure the process continues even if one download fails.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.oxylabs.io/products/proxies/high-bandwidth-proxies.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
